e107help.org Q&A
0 like 0 dislike
Hello

I tried updating from a working website on 2:1.5 to 2:1.9. I did not change the e107_config file. I am now getting a 500 error. When I asked Tech support they are saying that the error log indicates a coding issue

AH01215 PHP Fatal error: Class 'logConsolidate' not found in XXX/e107_plugins/log/e_shortcode.php on line 20;

XXX/page.php: script not found or unable to stat

Any thoughts?

Thanks
e107 version Version 2.1.9
asked in Updating by (2 points)
Just commenting for now as i am not too certain about procedure.
The error indicates there's a memory outage (too much used).
This could mean  a log is being tried to create, but uses too much from your server.
Now that could indicate that yuor log storage (folder is occupied and holding too much files (which should not), or the time and memory usage for your server is restricted.

Best scenario what could help always; be on local pc install creating a duplicate of your site (15) and update that to 19, and upload the fresh one to your server (including a correct config and dbase of course).

Please wait if unsure for others to reply !!!
I did a fresh reinstall and then updated the db with a restore. This seems to work but I have lost my downloads as I had to copy these across from the old e107_files directory

1 Answer

0 like 0 dislike
I'm so sorry no one responded to this in time. To be honest, this would have probably best been asked on the github page... I had a somewhat similar issue when upgrading from 2.1.8 to 2.1.9, and got my issue resolved there. Maybe that post could help you? I'll link it here for you.

https://github.com/e107inc/e107/issues/3418
answered by (56 points) 1
Welcome to e107 Q&A, where you can ask questions and receive answers from other members of the e107 community.
781 questions
1,189 answers
2,035 comments
2,131 users